# Flashvsr API

> காட்சிகளை 1 முதல் 4 மடங்கு பெரிதாக்கும் வீடியோ தரம் உயர்த்தி; விருப்பமான ஆடியோ நேரடிப் பரிமாற்றத்துடன்

`upscale_factor`-ஐ 1 முதல் 4 வரை (இயல்புநிலை 2) அமைத்து, `video_url`-இலிருந்து வீடியோவின் தரத்தை உயர்த்துகிறது. விருப்பங்களில் `color_fix`, அசல் ஆடியோ தடங்களை நகலெடுக்கும் `preserve_audio`, மேலும் regular, high அல்லது full எனும் `acceleration` ஆகியவை அடங்கும். வெளியீடு X264 mp4, VP9 webm, ProRes 4444 mov அல்லது GIF ஆக இருக்கலாம்; `output_quality` low முதல் maximum வரை அமைக்கலாம்.

- Model id: `flashvsr/upscale/video`
- Made by: Open model
- Category: Upscale
- Output: video
- Price per megapixel of your output video: $0.0005 / megapixel of output video (cheapest run $0.001 (1 API credit))
- Run: `POST https://api.doitong.ru/v1/run/flashvsr/upscale/video`
- Quote: `POST https://api.doitong.ru/v1/quote/flashvsr/upscale/video`
- Docs page: https://doitong.com/ta/developers/models/flashvsr/upscale/video

## Pricing

Price: **$0.0005 / megapixel of output video**. Price per megapixel of your output video: the input files are measured before the run (length, resolution, frame rate). The quote measures the same files and is exactly what the run charges.

The full example input below costs $0.553 = 553 API credits (1105.92 MP output video × $0.0005).

Prices are the upstream price in USD, paid from the API balance in API credits (1000 API credits = 1 USD). `POST https://api.doitong.ru/v1/quote/flashvsr/upscale/video` with the same JSON body returns the exact price for that input; the quote is exactly what a run charges. Invalid input is never charged and failed or canceled requests are refunded automatically.

## Input parameters

Send either the canonical name or the native field name (not both). Canonical names are the same across models.

| Parameter | Canonical name | Type | Required | Default | Allowed values / range | Description |
|---|---|---|---|---|---|---|
| `upscale_factor` |  | number | no | `2` | 1 – 4 | அளவு உயர்த்துவதற்கான scale பெருக்கி. |
| `seed` |  | integer \| null | no |  |  | உருவாக்கத்தின்போது பயன்படுத்தப்படும் சீரற்ற விதை. |
| `video_url` | `video` | string (video URL) | yes |  |  | அளவு உயர்த்துவதற்கான மூல வீடியோ. |
| `acceleration` |  | enum (string) | no | `regular` | `regular`, `high`, `full` | VAE decoding-ஐ எவ்வளவு துரிதப்படுத்துவது என்பதைத் தேர்ந்தெடுக்கவும்; அதிக துரிதப்படுத்தல் நீண்ட வீடியோக்களையும் ஆதரிக்கும். முறைகள் தரத்துக்கும் வேகத்துக்கும் இடையில் சமநிலைப்படுத்தப்படுகின்றன: regular சிறந்த தரத்தை வழங்கும், full மிக வேகமானது, high சமநிலையை வழங்கும். |
| `color_fix` |  | boolean | no | `true` |  | நிறத் திருத்தத்தை இயக்குகிறது. |
| `quality` |  | integer | no | `70` | 0 – 100 | Grid குறைபாடுகளைத் தடுக்க, blending-க்கான tile overlap அமைப்பு 0 முதல் 100 வரை. உயர் தெளிவுத்திறன் வீடியோக்களுக்கு 70–85 பரிந்துரைக்கப்படுகிறது; விரைவான செயலாக்கத்திற்கு 50–70 பயன்படுத்தவும். overlap சேர்ப்பதன் மூலம் இந்த அமைப்பை அதிகரிப்பது தரத்தை மேம்படுத்தும். |
| `preserve_audio` |  | boolean | no | `false` |  | FFmpeg-ஐ பயன்படுத்தி, சாத்தியமானபோது, மூல ஆடியோ தடங்களை அளவு உயர்த்தப்பட்ட வீடியோவில் சேர்க்கும் ஆடியோ தக்கவைப்பு விருப்பம். |
| `output_format` |  | enum (string) | no | `X264 (.mp4)` | `X264 (.mp4)`, `VP9 (.webm)`, `PRORES4444 (.mov)`, `GIF (.gif)` | விளைவாக உருவாகும் வீடியோவிற்கான வடிவம். |
| `output_quality` |  | enum (string) | no | `high` | `low`, `medium`, `high`, `maximum` | விளைவாக உருவாகும் வீடியோவிற்கான தர அமைப்பு. |
| `output_write_mode` |  | enum (string) | no | `balanced` | `fast`, `balanced`, `small` | முடிவான வீடியோவை எழுதப் பயன்படுத்தப்படும் முறை. |
| `enable_safety_checker` |  | boolean | no | `true` |  | அழைப்பாளர் அங்கீகரிக்கப்பட்டிருந்தால், false என அமைப்பதன் மூலம் திரையிடலைத் தளர்த்தலாம். |

File parameters (`video`) take a public `https://` URL, a `data:` URI up to 10 MB, or the `file_url` of an upload from `POST /files`.

## Example input

Required parameters only:

```json
{
  "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
```

A fuller example:

```json
{
  "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
}
```

## Run it

Set `DOITONG_API_KEY` to a key from https://doitong.com/developers/dashboard#keys. `?wait=20` returns the finished request in the same call when it is ready within 20 seconds; otherwise poll `GET /requests/{id}` (it also accepts `?wait=`), or pass `webhook_url`.

### curl

```bash
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/flashvsr/upscale/video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"
```

### JavaScript

```javascript
const API = "https://api.doitong.ru/v1";
const headers = {
  "Authorization": "Bearer " + process.env.DOITONG_API_KEY,
  "Content-Type": "application/json",
};

// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/flashvsr/upscale/video?wait=20", {
  method: "POST",
  headers,
  body: JSON.stringify({
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);

// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
  res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
  request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
```

### Python

```python
import os
import requests

API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}

payload = {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
}

# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/flashvsr/upscale/video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
    raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])

# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
    request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
    raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
```

### MCP

The MCP server at `https://api.doitong.ru/v1/mcp` exposes the tools `search_models`, `get_model`, `quote`, `run`, `get_request`, `cancel_request`, `list_requests`, `create_upload` and `get_account`. A `run` call for this model:

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "run",
    "arguments": {
      "model_id": "flashvsr/upscale/video",
      "input": {
        "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
      },
      "wait_seconds": 20
    }
  }
}
```

## Response

Every call returns a request object. `status` is one of `queued`, `running`, `succeeded`, `failed`, `canceled`. `outputs` lists the generated files with URLs on our storage (kept forever, or 7 days with `?storage=temporary`; `storage` says which); `output` is the model's own result object with the same URLs.

```json
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "flashvsr/upscale/video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 553,
    "usd": "0.553",
    "charged": 553,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
```

### Output fields (`output`)

| Field | Type | Description |
|---|---|---|
| `video` | object {url, content_type, file_name, file_size} | அளவு உயர்த்துவதன் மூலம் உருவாக்கப்பட்ட வீடியோ கோப்பு. |
| `seed` | integer | உருவாக்கத்தின்போது பயன்படுத்தப்படும் சீரற்ற விதை. |

## Related models

- [Topaz Image Upscale](https://doitong.com/developers/models/topaz/upscale/image/precision.md) (`topaz/upscale/image/precision`): $0.08 / 24 megapixels of output image
- [Topaz Video Upscale](https://doitong.com/developers/models/topaz/upscale/video/precision.md) (`topaz/upscale/video/precision`): from $0.00667 / second of input video
- [AuraSR](https://doitong.com/developers/models/aura-sr.md) (`aura-sr`): $0.001111 / second of processing time
- [Creative Upscaler](https://doitong.com/developers/models/creative-upscaler.md) (`creative-upscaler`): $0.00125 / second of processing time
- [DRCT-Super-Resolution](https://doitong.com/developers/models/drct-super-resolution.md) (`drct-super-resolution`): $0.0045 / megapixel of output image
- [Fooocus Upscale or Vary](https://doitong.com/developers/models/fooocus/upscale-or-vary.md) (`fooocus/upscale-or-vary`): $0.007 / image
- [Upscale Images](https://doitong.com/developers/models/esrgan.md) (`esrgan`): $0.000575 / second of processing time
- [Video Upscaler](https://doitong.com/developers/models/video-upscaler.md) (`video-upscaler`): $0.0008 / megapixel of output video

## Links

- HTML page: https://doitong.com/developers/models/flashvsr/upscale/video
- All models and guides for AI agents: https://doitong.com/developers/llms.txt
- OpenAPI 3.1 with this model's typed request body: https://doitong.com/developers/openapi.json?model=flashvsr/upscale/video
- Errors: https://doitong.com/developers/docs/errors
- Model details as JSON: https://api.doitong.ru/v1/models/flashvsr/upscale/video
